startDelaySeconds: 0
lowercaseOutputName: true
lowercaseOutputLabelNames: true
rules:
  - pattern: 'java.lang<type=Memory><HeapMemoryUsage>used'
    name: jvm_memory_used_bytes
    labels:
      area: heap
    type: GAUGE
  - pattern: 'java.lang<type=Memory><NonHeapMemoryUsage>used'
    name: jvm_memory_used_bytes
    labels:
      area: nonheap
    type: GAUGE
  - pattern: 'java.lang<type=Threading><ThreadCount>'
    name: jvm_threads_live_threads
    type: GAUGE
  - pattern: 'java.lang<type=OperatingSystem><ProcessCpuLoad>'
    name: process_cpu_usage
    type: GAUGE
